FAQ > System Requirements

System Requirements

The following details the proper system requirements for taking GSA lessons, including a Troubleshooting section.

* Depending on the internet connection environment, installation may take some time. Please update your devices or check for updates of your devices at well before your lessons.



Device Requirements
Computer

Windows 10, Mac MacOS 10.11 or higher

Tablet / Smartphone

iOS 12.2 or later (iPhone SE or later, iPad 5th generation or later, iPad Pro / iPad Mini 4 or later)

Depending on the Android device, it is recommended to have a new model and the latest version.

* We do not recommend taking lessons on small screen smartphones.

* Camera and microphone are required for lessons.



2. Browser installation

Recommended browser Google Chrome installation

The GSA service is certified to work with Google's Chrome internet browser. Other browsers available: Safari (latest version), Edge version 18

* Please note that Internet Explore cannot be used.

3. Install Zoom app

Lessons will be conducted using the free video calling app zoom, so please download it in advance.

Click here for PC users

Click here for iOS users

Click here to install Android

Once the download is complete, test that Zoom works properly. Click this link. Press the join button to proceed to the test.



Troubleshooting


Here is where you will find troubleshooting questions.





Can I join my class on Internet Explorer?

The GSA service does not work on Internet Explorer. We recommend using Google Chrome or Safari to take your lessons.

A. For more details on internet browsers, please check our Browser requirements for more details.



I can't hear audio/see video. What should I do?

A. If your audio/video does not work, please follow these steps: